Package twisted :: Package application :: Module app |
[frames | no frames]

## Module twisted.application.app

Classes
`ServerOptions` |

Function Summary
| `convertStyle(filein, typein, passphrase, fileout, typeout, encrypt)`
| `getApplication(config, passphrase)`
| `getLogFile(logfilename)`
| `getPassphrase(needed)`
| `getSavePassphrase(needed)`
| `initialLog()`
| `installReactor(reactor)`
| `reportProfile(report_profile, name)`
| `run(runApp, ServerOptions)`
| `runReactorWithLogging(config, oldstdout, oldstderr)`
| `startApplication(application, save)`

Variable Summary
`dict` | `reactorTypes` = `{'win32': 'twisted.internet.win32eventrea...`

Variable Details

    ### reactorTypes Type: `dict` Value:
        {'cf': 'twisted.internet.cfreactor',
         'default': 'twisted.internet.default',
         'glade': 'twisted.internet.gladereactor',
         'gtk': 'twisted.internet.gtkreactor',
         'gtk2': 'twisted.internet.gtk2reactor',
         'kqueue': 'twisted.internet.kqreactor',
         'poll': 'twisted.internet.pollreactor',
         'qt': 'twisted.internet.qtreactor',
        ...

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net